import * as Yup from "yup";

export const ContactSchema = Yup.object().shape({
  firma: Yup.string().max(64, "Maximal 64 Zeichen"),
  anrede: Yup.string()
    .min(2, "Mindestens 2 Zeichen")
    .max(64, "Maximal 64 Zeichen")
    .required("Pflichtfeld"),
  titel: Yup.string().max(64, "Maximal 64 Zeichen"),
  vorname: Yup.string().max(64, "Maximal 64 Zeichen"),
  nachname: Yup.string()
    .min(2, "Mindestens 2 Zeichen")
    .max(64, "Maximal 64 Zeichen")
    .required("Pflichtfeld"),
  email: Yup.string().email("Ungültige Email Adresse").required("Pflichtfeld"),
  telefon: Yup.string()
    .min(2, "Mindestens 2 Zeichen")
    .max(64, "Maximal 64 Zeichen"),
  betreff: Yup.string()
    .min(5, "Mindestens 5 Zeichen")
    .max(64, "Maximal 64 Zeichen")
    .required("Pflichtfeld"),
  nachricht: Yup.string()
    .min(10, "Mindestens 10 Zeichen")
    .max(2000, "Maximal 2000 Zeichen")
    .required("Pflichtfeld"),
});

export const EanfrageSchema = Yup.object().shape({
  firma: Yup.string().max(64, "Maximal 64 Zeichen"),
  anrede: Yup.string()
    .min(2, "Mindestens 2 Zeichen")
    .max(64, "Maximal 64 Zeichen")
    .required("Pflichtfeld"),
  titel: Yup.string().max(64, "Maximal 64 Zeichen"),
  vorname: Yup.string().max(64, "Maximal 64 Zeichen"),
  nachname: Yup.string()
    .min(2, "Mindestens 2 Zeichen")
    .max(64, "Maximal 64 Zeichen")
    .required("Pflichtfeld"),
  email: Yup.string().email("Ungültige Email Adresse").required("Pflichtfeld"),
  telefon: Yup.string()
    .min(2, "Mindestens 2 Zeichen")
    .max(64, "Maximal 64 Zeichen"),
  invoiceadress: Yup.string()
    .min(2, "Mindestens 2 Zeichen")
    .max(64, "Maximal 64 Zeichen"),
  invoiceplz: Yup.number("PLZ kann nur Zahlen enthalten"),
});
